<!--
IGAC proyecto SNC
@author franz.gamba

@description  Panelgrid para registrar la sede de una comision
-->


<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" columns="1" cellspacing="3"
             width="100%" id="panelGridRegistrarSedeDeComision">

    <p:ajaxStatus onstart="statusDialog.show();"
                  onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />

    <p:messages id="msgsRSC"
                showDetail="false" globalOnly="false" />

    <h:panelGrid columns="2" cellspacing="3" id="registrarSedeComisionPnl">
        <h:panelGrid columns="2">
            <h:outputLabel for="departamentoAP" value="Departamento"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        </h:panelGrid>
        <h:selectOneMenu id="departamentoAP"
                         value="#{currentManagedBeanParam.departamentoComision}">
            <f:selectItems value="#{currentManagedBeanParam.departamentosColombia}" />
            <p:ajax update="municipioAP"
                    listener="#{currentManagedBeanParam.onCambioDepartamento}" process="@this">
            </p:ajax>
        </h:selectOneMenu>

        <h:panelGrid columns="2">
            <h:outputLabel for="municipioAP" value="Municipio"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        </h:panelGrid>
        <h:selectOneMenu id="municipioAP"
                         value="#{currentManagedBeanParam.municipioComision}">
            <f:selectItems value="#{currentManagedBeanParam.municipiosColombia}" />				
        </h:selectOneMenu>

        <h:panelGrid columns="2">
            <h:outputLabel for="direccionSede" value="Dirección: "
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        </h:panelGrid>
        <p:inputText id="direccionSede" value="#{currentManagedBeanParam.direccionComision}"
                     label="Sede Direccion" />
        <h:outputLabel value="Tipo soporte:" styleClass="outputLabelStyle" />
        <h:selectOneMenu id="tipoSoporte" label="Tipo de soporte: "
                         value="#{currentManagedBeanParam.selectedTipoSoporte}">
            <f:selectItems value="#{currentManagedBeanParam.tipoSoporteSede}" />
        </h:selectOneMenu>
        <h:outputLabel for="soporte" value="Soporte: " styleClass="outputLabelStyle"/>
                <!--  fileUploadListener="#{managedBeanParam.archivoUpload}"-->
        <p:fileUpload id="soporte" label="Cargar documento"
                      dragDropSupport="true"
                      invalidSizeMessage="El archivo seleccionado supera el tamaño permitido"
                      widgetVar="uploader" mode="advanced" auto="true"
                      sizeLimit="#{general.maximoTamanoAdjuntos}" allowTypes="/(\.|\/)(pdf|dwg|tif|png|jpg)$/"
                      />
    </h:panelGrid>

    <p:spacer height="10" width="0" />	
    <p:commandButton id="btnRegistrarLugar" widgetVar="registrarLugarWV"
                     value="Registrar Lugar de Trabajo" ajax="true" immediate="true"
                     action="#{currentManagedBeanParam.guardarSedeComisionActualizacion}"
                     oncomplete="registrarSedeWV.hide()" 
                     process="@this" update=":msgsRSDC"/>


</h:panelGrid>